Skip to main content
POST
https://api-zangtable.com
/
projects
/
{project}
/
column
/
{table}
POST /projects/{project}/column/{table}
curl --request POST \
  --url https://api-zangtable.com/projects/{project}/column/{table} \
  --header 'Authorization: <authorization>'
{
  "ok": true,
  "data": {},
  "error": {},
  "request_id": "<string>"
}
Adds a non-primary column to an existing table.

Endpoint details

Authorization
string
required
Bearer pat_... (Project API Token). Keep this token on your backend/server.
project
string
required
Project slug. This acts as the Project ID in API paths.
table
string
required
Table name inside the project.
ok
boolean
required
true for a successful response and false for an error response.
data
object | null
Endpoint-specific response data when ok is true; null on errors.
error
object | null
Error code and message when ok is false; null on success.
request_id
string
required
Request identifier you can use when troubleshooting a specific API call.

Authentication

Project API Token.

Parameters

Path: table required. Body: column_name required; column_type optional default TEXT; is_nullable optional default true; default_value optional; is_unique optional default false; is_primary is rejected for added columns.

Request examples

Basic request:
curl -X POST "$BASE_URL/projects/{project}/column/{table}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'Content-Type: application/json' \
  --data '{"column_name":"phone"}'
Full request:
curl -X POST "$BASE_URL/projects/{project}/column/{table}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'Content-Type: application/json' \
  -H 'X-Operation-Key: edit-profile-email' \
  -H 'X-Operation-Run-Id: oprun_client_20260602_001' \
  --data '{"column_name":"phone","column_type":"TEXT","is_nullable":true,"default_value":null,"is_unique":false,"is_primary":false}'

Response examples

Success:
{
  "ok": true,
  "data": {
    "table": "contacts",
    "column": {
      "id": 3,
      "table_name": "contacts",
      "column_name": "phone",
      "column_type": "TEXT",
      "is_nullable": 1,
      "default_value": null,
      "is_primary": 0,
      "is_unique": 0,
      "created_at": "2026-06-02T01:23:45Z",
      "updated_at": "2026-06-02T01:23:45Z"
    }
  },
  "error": null,
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "operation_key": "edit-profile-email",
  "operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
  "operation_grouping_status": "accepted_provided_run",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
Error or alternate response:
{
  "ok": false,
  "data": null,
  "error": {
    "code": "unsupported_column_change",
    "message": "Adding a new primary key column is not supported."
  },
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}